@echo off
echo 本文件用于启动SQL Server服务并设为自动启动；添加登录名NETWORK SERVICE并设为管理员
echo 请在本文件上右键，以管理员身份运行
echo 若服务名称不是MSSQLSERVER，实例名称不是localhost，请分别修改再运行
echo 若报错sqlcmd不是内部或外部命令，将sqlcmd改为"C:\Program Files\Microsoft SQL Server\100\Tools\Binn\sqlcmd.exe"再试，前后要有引号，100可改为90、110等
rem 设置服务自动启动
sc config MSSQLSERVER start= auto
rem 启动服务
sc start MSSQLSERVER
rem 添加登录名
sqlcmd -E -S localhost -Q "CREATE LOGIN [NT AUTHORITY\NETWORK SERVICE] FROM WINDOWS"
rem 为登录名指定角色
sqlcmd -E -S localhost -Q "SP_ADDSRVROLEMEMBER [NT AUTHORITY\NETWORK SERVICE],'sysadmin'"
pause